Class ftom
ej
java.lang.Object
com.cycling74.max.MaxObject
ej.ej
ej.ftom

public class ftom
extends ej
Convert frequency to midi. This works for list, and allows you to define tuning and pitch reference.
See Also:

  ej

Fields inherited from class com.cycling74.max.MaxObject
EMPTY_STRING_ARRAY, NO_INLETS, NO_OUTLETS

Constructor Summary
ftom() create a ftom object with default parameters (tuning 440 Hz, pitch reference 69)
ftom(float tuning) create a ftom object with tuning specified as argument (pitch reference will be the default 69 value)
ftom(float tuning, int pitch_reference) create a ftom object with specified tuning and pitch reference.

Method Summary
void | inlet(float f) Calculate the result.
void | inlet(int i) Calculate the result.
void | list(float[] list) Calculate the result of the list.

Methods inherited from class ej.ej
anything, bang, dblclick, findVersion, isNumber, list, post, post, post, post, post, post

Methods inherited from class com.cycling74.max.MaxObject
bail, createInfoOutlet, declareAttribute, declareAttribute, declareInlets, declareIO, declareOutlets, declareReadOnlyAttribute, declareReadOnlyAttribute, declareTypedIO, embedMessage, error, gc, getAttr, getAttrAtomArray, getAttrBool, getAttrBoolArray, getAttrByte, getAttrByteArray, getAttrChar, getAttrCharArray, getAttrDouble, getAttrDoubleArray, getAttrFloat, getAttrFloatArray, getAttributeInfo, getAttrInt, getAttrIntArray, getAttrLongArray, getAttrShort, getAttrShortArray, getAttrString, getAttrStringArray, getCodeSourcePath, getContext, getErrorStream, getInfoIdx, getInlet, getInletAssist, getInletType, getLongAttr, getMaxBox, getName, getNumInlets, getNumOutlets, getOutletAssist, getOutletType, getParentPatcher, getPostStream, list, loadbang, notifyDeleted, ouch, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outlet, outletBang, outletBangHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, outletHigh, post, postCodePath, save, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setAttr, setInletAssist, setInletAssist, setName, setOutletAssist, setOutletAssist, showException, showException, toString, viewsource, zap

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait

Constructor Detail
ftom
public ftom()

  create a ftom object with default parameters (tuning 440 Hz, pitch reference 69)

ftom
public ftom(float tuning)

  create a ftom object with tuning specified as argument (pitch reference will be the default 69 value)
  Parameters:
    tuning - tuning reference (Hz)

ftom
public ftom(float tuning,
int pitch_reference)

  create a ftom object with specified tuning and pitch reference.
  Parameters:
    tuning - tuning reference (Hz)
    pitch_reference - pitche reference (MIDI note)

Method Detail
inlet
public void inlet(int i)

  Calculate the result.
  Overrides:
    inlet in class ej

inlet
public void inlet(float f)

  Calculate the result.
  Overrides:
    inlet in class ej

list
public void list(float[] list)

  Calculate the result of the list.
  Overrides:
    list in class com.cycling74.max.MaxObject

Java API documentation generated with DocFlex/Doclet v1.6.0
DocFlex/Doclet is both a multi-format Javadoc doclet and a free edition of DocFlex/Javadoc. If you need to customize your Javadoc without writing a full-blown doclet from scratch, DocFlex/Javadoc may be the only tool able to help you! Find out more at www.docflex.com